.image-and-text-box {
    width: 300px;
    height: 300px;
    margin: 50px 50px 50px 50px;
    padding: 0;
    position: relative;
    display: flex;
    justify-content: center;
    cursor: pointer;
}

.image-and-text-box:hover .text-box {
  top: 67%;
}

.image-box {
    object-fit: cover;
    width: 300px;
}

.text-box {
  padding: 0;
  position: absolute;
  top: 85%;
  text-align: center;
  border: 1px solid black;
  background: white;
  box-shadow: 0 2px 6px rgba(0, 0, 0, .6);
  width: 220px;
  transition: all 0.6s ease-in-out 0s;
color: black;
}

.text-box p {
  font-weight: bold;
  font-size: 25px;
  margin-top: 0;
  margin-bottom: 20px;
  word-wrap: break-word; /* Just in case the text is longer*/
}

.text-box h4 {
  font-size: 15px;
  font-weight: normal;
  font-style: italic;
  margin-top: 20px;
  margin-bottom: 0;
}

/* For extra small devices (phones, 600px and down)*/
@media only screen and (max-width: 600px) {
  .image-and-text-box {
    width: 200px;
    height: 240px;
    margin: 50px 52px 50px 52px;
}

.image-box {
    width: 270px;
    height: auto;
}

.text-box {
  top: 85%;
  width: 200px;
}

.text-box p {
  font-size: 21px;
  margin-bottom: 12px;
}

.text-box h4 {
  font-size: 12px;
  margin-top: 12px;
} 
.image-and-text-box:hover .text-box {
  top: 85%;
}
}

/* Small devices (portrait tablets and large phones, 601px and up) */
@media only screen and (min-width: 601px) and (max-width: 768px) {
  .image-and-text-box {
    width: 200px;
    height: 240px;
    margin: 30px 48px 50px 48px;
}

.image-box {
    width: 240px;
    height: auto;
    object-fit: cover;
}

.text-box {
  top: 85%;
  width: 200px;
}

.text-box p {
  font-size: 21px;
  margin-bottom: 12px;
}

.text-box h4 {
  font-size: 12px;
  margin-top: 12px;
} 
}

/* Medium devices (landscape tablets, 769px and up) */
@media only screen and (min-width: 769px) and (max-width: 992px){
  .image-and-text-box {
    width: 240px;
    height: 240px;
}
}

/* Large devices (laptops/desktops, 993px and up) */
@media only screen and (min-width: 993px) and (max-width: 1200px){
  .image-and-text-box {
    width: 240px;
    height: 240px;
    margin: 30px 30px 50px 30px;
}

.image-box {
    width: 260px;
    height: auto;
    object-fit: cover;
}

.text-box {
  top: 85%;
  width: 200px;
}

.text-box p {
  font-size: 21px;
  margin-bottom: 12px;
}

.text-box h4 {
  font-size: 12px;
  margin-top: 12px;
}
}

/* Extra large devices (large laptops and desktops, 1601px and up) */
@media only screen and (min-width: 1601px) {
  .image-and-text-box {
    width: 320px;
    height: 300px;
    margin: 30px 50px 80px 50px;
}

.image-box {
    width: 320px;
    height: auto;
    object-fit: cover;
}

}